Name:           gnome-themes-extras
Version:        2.22.0
Release:        5%{?dist}

Summary:        Collection of metathemes for the Gnome desktop environment

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://librsvg.sourceforge.net/theme.php
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/gnome-themes-extras/%{version}/%{name}-%{version}.tar.gz
Patch0:         gtkrc

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, gtk2-devel, perl(XML::Parser), gtk2-engines >= 2.14.0, icon-naming-utils >= 0.8.1
BuildRequires:  gtk2-engines-devel
Requires:       gnome-icon-theme
Requires:       gnome-themes

BuildArch:      noarch

%description
The Gnome themes extras package is a collection of metathemes for the Gnome
desktop environment. This package requires that you use a Gnome 2.2 release or
newer to work properly. The design goal of this package is to give Gnome users
an extra set of themes that are not only functional, but also eye catching.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Empty files
rm -f TODO README

# The upstream packages may gain po files at some point in the near future
%find_lang %{name} || touch %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog MAINTAINERS
%defattr(-,root,root,-)
%{_datadir}/icons/Foxtrot/
%{_datadir}/icons/Neu/
%{_datadir}/icons/Gion/
%{_datadir}/themes/Darklooks/
%{_datadir}/icons/gnome-alternative/
%{_datadir}/themes/Unity/

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 Christopher Aillon <caillon@redhat.com> - 2.22.0-4
- Add missing BuildRequires: gtk2-engines-devel

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 21 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.22.0-2
- Fixed changelog
- Added patch to fix bz#449428 which fixes the Darklooks theme

* Sat Apr 12 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.22-1
- New release
- new gnome-alternative icons
- new Unity theme

* Mon Mar 3 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.20-5
- Integrated patch from upstream for licenses and pot files

* Thu Jan 10 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.20-4
- Switched back to monolithic package
- Removed patches
- License confirmation being GPLv2 http://bugzilla.gnome.org/show_bug.cgi?id=496096
  
* Mon Jan 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.20-3
- Added patches to remove non-licensed themes

* Mon Nov 12 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.20-2
- Split the source into separate packages
- Fixed Obsolete in spec file
- make install line in spec file

* Thu Nov 8 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 2.20-1
- Upgraded version
- New Themes

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.9.0-5
- Rebuild for FC6
- fixed messed up changelog

* Tue Jun 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.9.0-3
- add builreq on perl(XML::Parser)

* Wed Apr 26 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.9.0-2
- use bz2 tarball

* Tue Apr 24 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.9.0-1
- updated version to 0.9.0
- some house work

* Mon Apr 11 2005 Adrian Reber <adrian@lisas.de> - 0.8.1-1
- updated to 0.8.1
- BuildArch: noarch

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb 28 2005 Adrian Reber <adrian@lisas.de> - 0.8.0-2
- added a patch with a fix for compiler warnings (bug #149713)

* Fri Nov 26 2004 Adrian Reber <adrian@lisas.de> - 0:0.8.0-0.fdr.1
- updated to 0.8.0
- changed gtk-2.0/2.2 to gtk-2.0/2.4
- libsmooth.so is deleted during installation as it is
  provided by gnome-themes
- removed empty NEWS file from doc

* Wed Oct 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.4-0.fdr.1
- Updated to 0.4.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3-0.fdr.2
- Fixed file permission on source tarball.
- Brought package more inline with current spec template.

* Sun Aug 31 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3-0.fdr.1
- Updated to 0.3.

* Thu Aug 07 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2-0.fdr.2
- Obsoletes themes-meta-nuvola.
- Req gnome-icon-theme.
- Req gnome-themes.

* Wed Aug 06 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2-0.fdr.1
- Initial RPM release.
